{
  "_fv": 69,
  "_type": "feature",
  "definition": {
    "skipPlacement": false,
    "generationStep": "SURFACE_STRUCTURES",
    "restrictionBiomes": [
      {
        "value": "CUSTOM:Windsweptpillars"
      }
    ],
    "featurexml": "<xml xmlns=\"https://developers.google.com/blockly/xml\"><block type=\"feature_container\" deletable=\"false\" x=\"-42\" y=\"-59\"><value name=\"feature\"><block type=\"feature_tree_azalea\"><mutation xmlns=\"http://www.w3.org/1999/xhtml\" inputs=\"0\"></mutation><field name=\"foliage_density\">1</field><field name=\"base_height\">20</field><field name=\"height_variation_a\">2</field><field name=\"height_variation_b\">0</field><field name=\"min_height_for_leaves\">3</field><field name=\"force_dirt\">TRUE</field><field name=\"ignore_vines\">FALSE</field><value name=\"dirt\"><block type=\"blockstate_selector\"><mutation xmlns=\"http://www.w3.org/1999/xhtml\" inputs=\"0\"></mutation><field name=\"block\">Blocks.CRYING_OBSIDIAN</field></block></value><value name=\"trunk\"><block type=\"blockstate_selector\"><mutation xmlns=\"http://www.w3.org/1999/xhtml\" inputs=\"0\"></mutation><field name=\"block\">Blocks.OBSIDIAN</field></block></value><value name=\"foliage\"><block type=\"blockstate_selector\"><mutation xmlns=\"http://www.w3.org/1999/xhtml\" inputs=\"0\"></mutation><field name=\"block\">Blocks.TINTED_GLASS</field></block></value><value name=\"root_placer\"><block type=\"root_placer_none\"></block></value><value name=\"bend_length\"><block type=\"int_provider_uniform\"><field name=\"min\">6</field><field name=\"max\">25</field></block></value></block></value><next><block type=\"placement_biome_filter\"><next><block type=\"placement_count_on_every_layer\"><value name=\"count\"><block type=\"int_provider_constant\"><field name=\"value\">1</field></block></value></block></next></block></next></block><block type=\"root_placer_mangrove\" x=\"696\" y=\"336\"><field name=\"above_root_placement_chance\">0.5</field><field name=\"max_root_length\">15</field><field name=\"max_root_width\">8</field><field name=\"random_skew_chance\">0.2</field><value name=\"root_provider\"><block type=\"blockstate_selector\"><mutation xmlns=\"http://www.w3.org/1999/xhtml\" inputs=\"0\"></mutation><field name=\"block\"></field></block></value><value name=\"can_grow_through\"><block type=\"block_holderset_tag\"><field name=\"tag\">mangrove_roots_can_grow_through</field></block></value><value name=\"muddy_roots_provider\"><block type=\"blockstate_selector\"><mutation xmlns=\"http://www.w3.org/1999/xhtml\" inputs=\"0\"></mutation><field name=\"block\"></field></block></value><value name=\"muddy_roots_in\"><block type=\"block_holderset_tag\"><field name=\"tag\">dirt</field></block></value><value name=\"above_root_provider\"><block type=\"blockstate_selector\"><mutation xmlns=\"http://www.w3.org/1999/xhtml\" inputs=\"0\"></mutation><field name=\"block\"></field></block></value><value name=\"trunk_offset_y\"><block type=\"int_provider_uniform\"><field name=\"min\">1</field><field name=\"max\">3</field></block></value></block></xml>"
  }
}